## org.eclipse.jst.server.core
Interface IJavaRuntime

All Known Subinterfaces:
  IJavaRuntimeWorkingCopy

    public interface IJavaRuntime

An interface for a server that contains a Java runtime.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Method Summary
`IVMInstall` `getVMInstall()` Return the VM install (installed JRE) that this runtime is using.
`boolean` `isUsingDefaultJRE()` Returns `true` if the runtime is using the default JRE.

Method Detail

### getVMInstall

    IVMInstall getVMInstall()

  Return the VM install (installed JRE) that this runtime is using.

  Returns:
    the current VM install

### isUsingDefaultJRE

    boolean isUsingDefaultJRE()

  Returns `true` if the runtime is using the default JRE.

  Returns:
    `true` if the runtime is using the default JRE, and `false` otherwise
  Since:
    2.0